Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.event
Class EventsQueue

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractQueue<javax.faces.event.FacesEvent>
              org.ajax4jsf.event.EventsQueue

All Implemented Interfaces:
  java.lang.Iterable<javax.faces.event.FacesEvent>, java.util.Collection<javax.faces.event.FacesEvent>, java.util.Queue<javax.faces.event.FacesEvent>

    public class EventsQueue

extends java.util.AbstractQueue<javax.faces.event.FacesEvent>

Very simple implementation of FIFO buffer, to organize JSF events queue.

Author:
  asmirnov

Constructor Summary
`EventsQueue()`

Method Summary
`void` | `clear()`
`boolean` | `isEmpty()`
`java.util.Iterator<javax.faces.event.FacesEvent>` | `iterator()`
`boolean` | `offer(javax.faces.event.FacesEvent element)` Add event to queue.
`javax.faces.event.FacesEvent` | `peek()`
`javax.faces.event.FacesEvent` | `poll()` Remove and return first queued event.
`int` | `size()`

Methods inherited from class java.util.AbstractQueue
`add, addAll, element, remove`

Methods inherited from class java.util.AbstractCollection
`contains, containsAll, remove, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Collection
`contains, containsAll, equals, hashCode, remove, removeAll, retainAll, toArray, toArray`

Constructor Detail

### EventsQueue

    public EventsQueue()

Method Detail

### poll

    public javax.faces.event.FacesEvent poll()

  Remove and return first queued event.

  Returns:
    faces event form top of queue
  Throws:
    `java.util.NoSuchElementException` - , if queue is empty.

### peek

    public javax.faces.event.FacesEvent peek()

### offer

    public boolean offer(javax.faces.event.FacesEvent element)

  Add event to queue.

  Parameters:
    `element` -
  Returns:
    TODO

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Collection<javax.faces.event.FacesEvent>`
  Overrides:
    `clear` in class `java.util.AbstractQueue<javax.faces.event.FacesEvent>`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Collection<javax.faces.event.FacesEvent>`
  Overrides:
    `isEmpty` in class `java.util.AbstractCollection<javax.faces.event.FacesEvent>`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Collection<javax.faces.event.FacesEvent>`
  Specified by:
    `size` in class `java.util.AbstractCollection<javax.faces.event.FacesEvent>`

### iterator

    public java.util.Iterator<javax.faces.event.FacesEvent> iterator()

  Specified by:
    `iterator` in interface `java.lang.Iterable<javax.faces.event.FacesEvent>`
  Specified by:
    `iterator` in interface `java.util.Collection<javax.faces.event.FacesEvent>`
  Specified by:
    `iterator` in class `java.util.AbstractCollection<javax.faces.event.FacesEvent>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.